<div class="container-fluid">
    <div th:replace="@{frags/search-bar}"></div>
    <div th:if="${error != null}" th:text="${error}"></div>

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div th:if="${paymentRequests.getNumberOfElements() == 0}" class="alert alert-danger text-center" style="font-size: 20px;" th:text="${message}"></div>
                    <div th:if="${paymentRequests.getNumberOfElements() > 0}">
                        <div class="table-responsive container-fluid" style="min-height: 500px;">
                            <table class="table">
                                <thead class="thead-dark" style="overflow:scroll; width:500px;">
                                <tr>
                                    <th>#</th>
                                    <th th:text="#{requests.order.number}">Nro de Orden</th>
                                    <th th:text="#{requests.fullName}">Nombre y Apellido</th>
                                    <th th:text="#{requests.email}">Email</th>
                                    <th th:text="#{requests.title}">Titulo</th>
                                    <th th:text="#{requests.price}">Precio</th>
                                    <th th:text="#{requests.country}">País</th>
                                    <th th:text="#{requests.status}">Status</th>
                                    <th th:text="#{requests.paymentcode}">Código de Pago</th>
                                    <th></th>
                                    </tr>
                            </thead>
                                <tbody>
                                <tr th:each="paymentRequest: ${paymentRequests}">
                                        <td th:text="${paymentRequest.id}"></td>
                                        <td th:text="${paymentRequest.getOrderNumber()}"></td>
                                        <td th:text="${paymentRequest.getBillingFirstName() + ' ' + paymentRequest.getBillingLastName()}"></td>
                                        <td th:text="${paymentRequest.getBillingEmail()}"></td>
                                        <td th:text="${#strings.length(paymentRequest.getTitle())<=40 ? paymentRequest.getTitle() :
                                            #strings.substring(paymentRequest.getTitle(),0,40) + '...'}"></td>
                                        <td th:text="${paymentRequest.getAmount() + ' ' + paymentRequest.getCurrency()}"></td>
                                        <td name="paymentFlag" th:text="${paymentRequest.getCountry()}"></td>
                                        <td>
                                            <div name="paymentStatus" th:text="${paymentRequest.getStatus()}"></div>
                                        </td>
                                        <td th:text="${paymentRequest.getPayCode()}"></td>
                                        <td>
                                            <a th:href="|@{/admin/request-details}/${paymentRequest.getOrderNumber()}|">
                                                    <i name="payment-eye" class="far fa-eye fa-2x"></i>
                                                </i>
                                            </a>
                                        </td>
                                    </tr>
                            </tbody>
                            </table>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div th:text="#{payment.status.pending}" id="status-pending" hidden="true"></div>
    <div th:text="#{payment.status.completed}" id="status-completed" hidden="true"></div>
    <div th:text="#{payment.status.failed}" id="status-failed" hidden="true"></div>
    <div th:text="#{payment.status.wrong.signature}" id="status-ws" hidden="true"></div>
    <br/>
    <div class="d-flex justify-content-center mb-3" th:if="${paymentRequests.getTotalPages() > 1}">
        <div th:replace="@{frags/pagination}"></div>
    </div>

</div>